<template>
  <v-container>
    <v-row>
      <v-col cols="12">
        <v-card>
          <v-toolbar dense color="secondary">
            <v-icon>mdi-account-cash</v-icon>
            <v-toolbar-title class="ml-2">
              Фонд
            </v-toolbar-title>
            <v-spacer />
            <fund-help-modal />
          </v-toolbar>
          <v-card-text class="white--text">
            <v-container fluid>
              <v-row align-content="center" justify="center">
                <v-col cols="12">
                  <h1 class="text-center">
                    Баланс: {{ wallet.getAmountInRub() }} Руб
                  </h1>
                </v-col>
              </v-row>
            </v-container>
          </v-card-text>
          <v-divider />
          <v-card-actions>
            <v-spacer />
            <v-btn
              color="green"
              class="darken-3"
              :ripple="false"
              style="cursor: default"
              >Пополнить <v-icon>mdi-plus</v-icon></v-btn
            >
            <v-btn
              color="red"
              class="darken-3"
              style="cursor: default"
              :ripple="false"
            >
              Вывести <v-icon>mdi-logout-variant</v-icon>
            </v-btn>
          </v-card-actions>
        </v-card>
      </v-col>
    </v-row>
  </v-container>
</template>

<script lang="ts">
import Vue from 'vue';
import Component from 'vue-class-component';
import { Wallet } from '@/domain/entity/wallet/Wallet';
import { Prop } from 'vue-property-decorator';
import FundHelpModal from '@/components/fund/FundHelpModal.vue';

@Component({
  components: {
    FundHelpModal
  }
})
export default class Fund extends Vue {
  @Prop({
    required: false,
    default: () => null,
    type: Object
  })
  private readonly wallet!: Wallet | null;
}
</script>

<style scoped></style>
